Page MenuHomePhabricator

Need pretty page for uwsgi proxy errors
Closed, ResolvedPublic

Description

When the uwsgi process is restarted apache barfs out an ugly page:

Proxy Error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /.

Reason: Error reading from remote server

Details

Related Gerrit Patches:
operations/puppet : productionstriker: Add custom error pages to apache vhost
labs/striker/deploy : masterAdd 502, 503 and 504 error pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2016, 5:42 PM
bd808 moved this task from Backlog to Ready on the Striker board.Aug 29 2016, 2:37 AM
bd808 triaged this task as Low priority.Aug 31 2016, 12:22 AM

Change 308305 had a related patch set uploaded (by BryanDavis):
Add 502, 503 and 504 error pages

https://gerrit.wikimedia.org/r/308305

Change 308359 had a related patch set uploaded (by BryanDavis):
striker: Add custom error pages to apache vhost

https://gerrit.wikimedia.org/r/308359

Change 308305 merged by jenkins-bot:
Add 502, 503 and 504 error pages

https://gerrit.wikimedia.org/r/308305

Change 308359 merged by Alexandros Kosiaris:
striker: Add custom error pages to apache vhost

https://gerrit.wikimedia.org/r/308359

bd808 moved this task from Ready to Doing on the Striker board.Sep 5 2016, 5:05 AM

Mentioned in SAL [2016-09-05T20:56:36Z] <bd808> Updated striker to b5fdbf9 (T144040, T144296)

bd808 closed this task as Resolved.Sep 6 2016, 4:09 PM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptSep 6 2016, 4:09 PM
bd808 moved this task from To Do to Done on the User-bd808 board.Oct 4 2016, 5:43 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Oct 17 2016, 3:25 PM
bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:57 AM